Schöck
Показать сообщение отдельно
Непрочитано 27.09.2005, 13:11 #1
Помогите с небольшой доработкой лиспа
VVS
 
проектирование автоматизированных систем управления и диспетчеризации на базе LonWorks
 
Санкт-Петербург
Регистрация: 24.01.2005
Сообщений: 16

Вот такой лисп, хочется чтобы сумма длин выдавалась умноженная на определенный коэффициент, например, 1.1 или 1.2. Заранее благодарен.

Код:
[Выделить все]
 
(defun C:Dlina (/ Nab Sum i Curve Param)
(vl-load-com)
(if (setq Nab (ssget))
(progn
(setq Sum 0 i 0)
(repeat (sslength Nab)
(setq Curve (vlax-ename->vla-object (ssname Nab i))

i (1+ i)
Param (vl-catch-all-apply 'vlax-curve-getEndParam
(list Curve))
)
(if (not (vl-catch-all-error-p Param))
(setq Sum (+ Sum (vlax-curve-getDistAtParam Curve
Param)))
)
)
)
)
)
(princ (strcat "\nСумма длин выбранных элементов равна: " (rtos Sum 2 2)))
(prin1)
)
Просмотров: 2497
 
Размещение рекламы